Subject: SEO Candidate - Ankit Negi
From: Ankit Negi <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 4 Jul 2022 08:59:50 -0400

| | SEO  Test

Name | Ankit Negi
E-mail | [email-masked]
Phone Number | (91) 9555622190
Where do you currently live (area) | Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | CityInnovates | SEO Analyst | | 28
Previous Employer 1 | Infinizi | SEO Executive | Nov 2021 | 24
Previous Employer 2 | One World Nees | Digital Marketing Executive | | 16

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords?

Microtekdirect.com

UPS for home
Buy Home ups
inverter ups
inverter for home

Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them? | No

Give a list of Keywords that you have ranked and name of websites

PR firms for startups
startup Pr
pr for startups

step-up.in

How do you do Keyword Research?

Firstly I analyse website and find what we are offering. Suppose we are selling tshirts online.

Then I use keyword research tools by semrush and find keywords with less difficulty and high searches and analyse which of the competitors on those keywords.

I choose some long tails keywords and some medium tail keywords for the start.

What activities do you perform Off Page?

Profile Creation
Blog Posting
Quora Answers
Guest Posting
Email Outreach
Bookmarking
Business Listing
Infographic Submission

| |